Bug 1939488 - [4.7z] need ability to reconcile exgw annotations on pod add
Summary: [4.7z] need ability to reconcile exgw annotations on pod add
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.z
Assignee: Victor Pickard
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On: 1916872
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-16 13:35 UTC by Victor Pickard
Modified: 2021-05-19 15:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1916872
Environment:
Last Closed: 2021-05-19 15:15:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 467 0 None open Bug 1939488: Backport Handle Multus network-status annotations on pod update 2021-03-16 13:58:21 UTC
Red Hat Product Errata RHBA-2021:1550 0 None None None 2021-05-19 15:15:57 UTC

Comment 2 Ross Brattain 2021-05-10 05:35:24 UTC
Verified on 4.7.0-0.nightly-2021-05-09-213606


route is updated after annotation change.


sh-4.4# ovn-nbctl --no-leader-only lr-route-list GR_compute-0
IPv4 Routes
10.128.2.39             172.31.249.64 src-ip ecmp-symmetric-reply
10.128.0.0/14                100.64.0.1 dst-ip
0.0.0.0/0              172.31.248.1 dst-ip rtoe-GR_compute-0



--
3284-I0510 05:25:27.249095       1 egressgw.go:173] No gateways found to remove for annotated gateway pod: testpod1 on namespace: exgw
3285-I0510 05:25:27.249099       1 egressgw.go:38] External gateway pod: testpod1, detected for namespace(s) exgw
3286:2021-05-10T05:25:27.252Z|01165|nbctl|INFO|Running command run --may-exist --policy=src-ip --ecmp-symmetric-reply -- lr-route-add GR_compute-0 10.128.2.39/32 172.31.249.61
3287-2021-05-10T05:25:27.263Z|01166|nbctl|INFO|Running command run -- lr-policy-add ovn_cluster_router 501 "inport == \"rtos-compute-0\" && ip4.src == 10.128.2.39 && ip4.dst != 10.128.0.0/14" reroute 100.64.0.5

--

3303-I0510 05:27:15.668076       1 egressgw.go:156] Deleting routes for external gateway pod: testpod1, for namespace(s) exgw
3304:2021-05-10T05:27:15.671Z|01171|nbctl|INFO|Running command run --if-exists --policy=src-ip -- lr-route-del GR_compute-0 10.128.2.39/32 172.31.249.61
3305-2021-05-10T05:27:15.681Z|01172|nbctl|INFO|Running command run -- lr-policy-del ovn_cluster_router 501 "inport == \"rtos-compute-0\" && ip4.src == 10.128.2.39 && ip4.dst != 10.128.0.0/14"
3306:I0510 05:27:15.695526       1 egressgw.go:492] Did not find bfd entry for rtoe-GR_compute-0 172.31.249.61
3307-I0510 05:27:15.695550       1 egressgw.go:38] External gateway pod: testpod1, detected for namespace(s) exgw
3308:2021-05-10T05:27:15.698Z|01173|nbctl|INFO|Running command run --may-exist --policy=src-ip --ecmp-symmetric-reply -- lr-route-add GR_compute-0 10.128.2.39/32 172.31.249.64
3309-2021-05-10T05:27:15.712Z|01174|nbctl|INFO|Running command run -- lr-policy-add ovn_cluster_router 501 "inport == \"rtos-compute-0\" && ip4.src == 10.128.2.39 && ip4.dst != 10.128.0.0/14" reroute 100.64.0.5

Comment 5 errata-xmlrpc 2021-05-19 15:15:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1550


Note You need to log in before you can comment on or make changes to this bug.